Nội quy chuyên mục: Với người báo lỗi:
- Chuyên mục này dùng để báo lỗi cho bộ code gốc NukeViet được phát hành. Các module không thuộc hệ thống vui lòng báo lỗi trong các chuyên mục riêng.
- Đề nghị tìm kiếm trước khi gửi bài, tránh báo lỗi trùng lặp.
- Mọi thông báo lỗi vui lòng cung cấp các thông tin về phiên bản NukeViet 3, môi trường thử nghiệm (Máy chủ, phiên bản php, phần mềm server, trình duyệt bạn sử dụng....). Kèm theo ảnh chụp hoặc thông báo lỗi.
- Các bài viết không đầy đủ thông tin chúng tôi sẽ xóa và không báo lại.

Với đội code:
- Kiểm tra các báo lỗi của người sử dụng gứi tới (qua email, forum hoặc trên code) để liệt kê tập trung một chỗ và trả lời kịp thời.
- Kiểm tra và trả lời người báo lỗi kịp thời. Nếu có thể, hãy link đến bản fix lỗi.
#186628 gửi bởi hungcay
Ngày 30 Tháng 09 2017 , 23:35
Do hosting cũ chạy quá ì ạch nên mình có chuyển hết hosting sang hosting mới, đối với bản 4.2 hoặc 3.4 thì không có vấn đề gì cả, chạy rất êm đềm, nhưng riêng bản cũ 3.0 có 2 web thì cả 2 web đều báo lỗi như sau:
Nên chú ý: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in file /includes/class/request.class.php on line 368
Nên chú ý: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in file /includes/class/request.class.php on line 389
Nên chú ý: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in file /includes/class/mysql.class.php on line 101
Lỗi cảnh báo: fsockopen(): unable to connect to whois.arin.net:43 (Network is unreachable) in file /includes/functions.php on line 1212
Lỗi cảnh báo: Illegal string offset 'exp_time' in file /includes/core/user_functions.php on line 155
Nên chú ý: Only variables should be passed by reference in file /includes/blocks/global.cuonbantin.php on line 37

Mình đã thử CHMOD về 777 đối với các file báo lỗi, nhưng không ăn thua, chắc do ko hiểu căn nguyên của vấn đề, bạn nào có cách khắc phục ko?

CÂU LẠC BỘ HƯỚNG DẪN VIÊN TIẾNG NHẬT HÀ NỘI: http://www.hanoijsg.org
#186638 gửi bởi duyhiep
Ngày 01 Tháng 10 2017 , 09:49
Vấn đề sảy ra là nó ko hiểu 1 số hàm có sẵn, vì vậy cách giải quyết của nó là hạ version php hoặc là bạn chịu khó code lại 1 số hàm php báo lỗi tương ứng.
theo mình thì lỡ sự cố vậy, nếu csdl ko quá phức tạp thì chơi lên nukeviet mới luôn :D

email: vuduy1502@gmail.com
#186649 gửi bởi hungcay
Ngày 02 Tháng 10 2017 , 02:05
duyhiep đã viết Vấn đề sảy ra là nó ko hiểu 1 số hàm có sẵn, vì vậy cách giải quyết của nó là hạ version php hoặc là bạn chịu khó code lại 1 số hàm php báo lỗi tương ứng.
theo mình thì lỡ sự cố vậy, nếu csdl ko quá phức tạp thì chơi lên nukeviet mới luôn :D

Cảm ơn duyhiep đã trả lời, chắc chỉ có cách code lại thôi, cách nhanh nhất là nghiên cứu các file lỗi, thử copy các file đó của version 3.4 vào xem sao vậy, chứ hạ php nghe ko ổn lắm, vì còn nhiều version nuke khác nữa hoặc nâng cấp site thì hơi mệt.


CÂU LẠC BỘ HƯỚNG DẪN VIÊN TIẾNG NHẬT HÀ NỘI: http://www.hanoijsg.org
#186665 gửi bởi trinhthinhvn
Ngày 02 Tháng 10 2017 , 09:39
2 phương án
  1. Hạ cấu hình hosting xuống
  2. Nâng cấp bản 3.0 lên 4.x
Mình thì chọn phương án 2 hay hơn vì cập nhật nhiều cái thay đổi bảo mật được tốt hơn vì vòng đời phần mềm theo quy luật công nghệ cái mới ra cái cũ lỗi thời và cái cũ đã bị khai thác

Thiết kế và nâng cấp website nukeviet và wordpress: https://thinhweb.com/dich-vu-thiet-ke-website/
#186705 gửi bởi hungcay
Ngày 05 Tháng 10 2017 , 00:09
Có bạn nào biết sửa code ko nhỉ?hướng dẫn giúp, như lỗi ở trên thì chỉ có 3,4 file bị lỗi, nếu sửa nhanh được 3,4 file này đỡ hơn là up lên bản mới, mà nhu cầu cũng ko cần up?

CÂU LẠC BỘ HƯỚNG DẪN VIÊN TIẾNG NHẬT HÀ NỘI: http://www.hanoijsg.org